## tlswrapper 0~20221229

=== Makefile ===
CC?=cc
EMPTYDIR?=/var/lib/tlswrapper/empty
CFLAGS+=-W -Wall -Os -fPIC -fwrapv -pedantic -I./bearssl/inc -DEMPTYDIR=\"$(EMPTYDIR)\"
LDFLAGS+=-L./bearssl/build -lbearssl
DESTDIR?=

BINARIES=tlswrapper
BINARIES+=tlswrapper-test

all: bearssl $(BINARIES) tlswrapper-tcp tlswrapper-smtp

randombytes.h:
	(grep -v "randombytes.h" "randombytes.c-01getentropy"; echo "int main() {}";) > tryrandombytes.c
	[ ! -f randombytes.h ] && $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o tryrandombytes tryrandombytes.c && cat randombytes.h-01getentropy > randombytes.h || :
	rm -f tryrandombytes.c tryrandombytes
	(grep -v "randombytes.h" "randombytes.c-02devurandom"; echo "int main() {}";) > tryrandombytes.c
	[ ! -f randombytes.h ] && $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o tryrandombytes tryrandombytes.c && cat randombytes.h-02devurandom > randombytes.h || :
	rm -f tryrandombytes.c tryrandombytes

alloc.o: alloc.c log.h alloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c alloc.c

blocking.o: blocking.c blocking.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c blocking.c

buffer.o: buffer.c buffer.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c buffer.c

case.o: case.c case.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c case.c

conn.o: conn.c jail.h socket.h milliseconds.h e.h log.h conn.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c conn.c

connectioninfo.o: connectioninfo.c strtoip.h strtoport.h porttostr.h \
 iptostr.h log.h connectioninfo.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c connectioninfo.c

crypto_scalarmult_curve25519.o: crypto_scalarmult_curve25519.c \
 crypto_scalarmult_curve25519.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_scalarmult_curve25519.c

e.o: e.c e.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c e.c

fixname.o: fixname.c fixname.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c fixname.c

fixpath.o: fixpath.c fixpath.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c fixpath.c

fsyncfile.o: fsyncfile.c fsyncfile.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c fsyncfile.c

hostport.o: hostport.c strtoport.h hostport.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c hostport.c

iptostr.o: iptostr.c iptostr.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c iptostr.c

jail.o: jail.c log.h randommod.h jail.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c jail.c

jail_poll.o: jail_poll.c log.h jail.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c jail_poll.c

log.o: log.c e.h randommod.h log.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c log.c

main_tlswrapper.o: main_tlswrapper.c blocking.h pipe.h log.h e.h jail.h \
 strtonum.h randombytes.h alloc.h connectioninfo.h proxyprotocol.h \
 iptostr.h writeall.h fixname.h fixpath.h str.h tls.h open.h main.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper.c

main_tlswrapper_smtp.o: main_tlswrapper_smtp.c randombytes.h log.h \
 iptostr.h connectioninfo.h jail.h writeall.h buffer.h stralloc.h open.h \
 e.h tls.h blocking.h resolvehost.h hostport.h conn.h case.h \
 timeoutwrite.h timeoutread.h strtonum.h main.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper_smtp.c

main_tlswrapper_tcp.o: main_tlswrapper_tcp.c randombytes.h iptostr.h \
 proxyprotocol.h connectioninfo.h resolvehost.h strtoport.h socket.h e.h \
 log.h conn.h str.h tls.h jail.h randommod.h strtonum.h main.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper_tcp.c

main_tlswrapper_test.o: main_tlswrapper_test.c e.h log.h randombytes.h \
 fsyncfile.h writeall.h str.h tls.h open.h blocking.h strtonum.h main.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper_test.c

milliseconds.o: milliseconds.c milliseconds.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c milliseconds.c

open_pipe.o: open_pipe.c open.h blocking.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c open_pipe.c

open_read.o: open_read.c open.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c open_read.c

pipe.o: pipe.c e.h readall.h writeall.h alloc.h pipe.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c pipe.c

porttostr.o: porttostr.c porttostr.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c porttostr.c

proxyprotocol.o: proxyprotocol.c e.h log.h str.h buffer.h stralloc.h \
 jail.h iptostr.h strtoip.h strtoport.h porttostr.h proxyprotocol.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c proxyprotocol.c

randombytes.o: randombytes.c randombytes.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c randombytes.c

randommod.o: randommod.c randombytes.h randommod.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c randommod.c

readall.o: readall.c e.h readall.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c readall.c

resolvehost.o: resolvehost.c e.h blocking.h log.h jail.h randommod.h \
 resolvehost.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c resolvehost.c

socket.o: socket.c blocking.h socket.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c socket.c

stralloc.o: stralloc.c alloc.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c stralloc.c

str.o: str.c str.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c str.c

strtoip.o: strtoip.c strtoip.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c strtoip.c

strtonum.o: strtonum.c strtonum.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c strtonum.c

strtoport.o: strtoport.c strtoport.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c strtoport.c

timeoutread.o: timeoutread.c timeoutread.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c timeoutread.c

timeoutwrite.o: timeoutwrite.c timeoutwrite.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c timeoutwrite.c

tls_anchor.o: tls_anchor.c tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_anchor.c

tls_certfile.o: tls_certfile.c tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_certfile.c

tls_cipher.o: tls_cipher.c str.h log.h tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_cipher.c

tls_crypto_scalarmult.o: tls_crypto_scalarmult.c tls.h \
 crypto_scalarmult_curve25519.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_crypto_scalarmult.c

tls_ecdhe.o: tls_ecdhe.c str.h tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_ecdhe.c

tls_ecdsa.o: tls_ecdsa.c tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_ecdsa.c

tls_engine.o: tls_engine.c writeall.h log.h tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_engine.c

tls_error.o: tls_error.c tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_error.c

tls_keyjail.o: tls_keyjail.c pipe.h randombytes.h log.h jail.h fixpath.h \
 tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_keyjail.c

tls_keytype.o: tls_keytype.c tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_keytype.c

tls_pem.o: tls_pem.c alloc.h readall.h randombytes.h log.h open.h tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_pem.c

tls_pipe.o: tls_pipe.c tls.h pipe.h randombytes.h alloc.h str.h log.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_pipe.c

tls_profile.o: tls_profile.c log.h randombytes.h e.h str.h stralloc.h \
 fixpath.h tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_profile.c

tls_pubcrt.o: tls_pubcrt.c randombytes.h alloc.h log.h stralloc.h str.h \
 tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_pubcrt.c

tls_seccrt.o: tls_seccrt.c log.h randombytes.h str.h tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_seccrt.c

tls_version.o: tls_version.c str.h tls.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_version.c

tlswrapper.o: tlswrapper.c str.h main.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tlswrapper.c

tlswrapper-test.o: tlswrapper-test.c str.h main.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c tlswrapper-test.c

writeall.o: writeall.c e.h jail.h writeall.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c writeall.c

OBJECTS=alloc.o
OBJECTS+=blocking.o
OBJECTS+=buffer.o
OBJECTS+=case.o
OBJECTS+=conn.o
OBJECTS+=connectioninfo.o
OBJECTS+=crypto_scalarmult_curve25519.o
OBJECTS+=e.o
OBJECTS+=fixname.o
OBJECTS+=fixpath.o
OBJECTS+=fsyncfile.o
OBJECTS+=hostport.o
OBJECTS+=iptostr.o
OBJECTS+=jail.o
OBJECTS+=jail_poll.o
OBJECTS+=log.o
OBJECTS+=main_tlswrapper.o
OBJECTS+=main_tlswrapper_smtp.o
OBJECTS+=main_tlswrapper_tcp.o
OBJECTS+=main_tlswrapper_test.o
OBJECTS+=milliseconds.o
OBJECTS+=open_pipe.o
OBJECTS+=open_read.o
OBJECTS+=pipe.o
OBJECTS+=porttostr.o
OBJECTS+=proxyprotocol.o
OBJECTS+=randombytes.o
OBJECTS+=randommod.o
OBJECTS+=readall.o
OBJECTS+=resolvehost.o
OBJECTS+=socket.o
OBJECTS+=stralloc.o
OBJECTS+=str.o
OBJECTS+=strtoip.o
OBJECTS+=strtonum.o
OBJECTS+=strtoport.o
OBJECTS+=timeoutread.o
OBJECTS+=timeoutwrite.o
OBJECTS+=tls_anchor.o
OBJECTS+=tls_certfile.o
OBJECTS+=tls_cipher.o
OBJECTS+=tls_crypto_scalarmult.o
OBJECTS+=tls_ecdhe.o
OBJECTS+=tls_ecdsa.o
OBJECTS+=tls_engine.o
OBJECTS+=tls_error.o
OBJECTS+=tls_keyjail.o
OBJECTS+=tls_keytype.o
OBJECTS+=tls_pem.o
OBJECTS+=tls_pipe.o
OBJECTS+=tls_profile.o
OBJECTS+=tls_pubcrt.o
OBJECTS+=tls_seccrt.o
OBJECTS+=tls_version.o
OBJECTS+=writeall.o

tlswrapper: tlswrapper.o $(OBJECTS)
	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper tlswrapper.o $(OBJECTS) $(LDFLAGS)

tlswrapper-test: tlswrapper-test.o $(OBJECTS)
	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS)


bearssl:
	echo 'int main(){}' > trybearssl.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o trybearssl trybearssl.c || (sh bearssl.sh; cd bearssl; make; rm build/*.so; )
	rm -f trybearssl.c trybearssl
	mkdir -p bearssl/inc

tlswrapper-tcp: tlswrapper
	ln -s tlswrapper tlswrapper-tcp

tlswrapper-smtp: tlswrapper
	ln -s tlswrapper tlswrapper-smtp

install: $(BINARIES) tlswrapper-tcp
	install -D -m 0755 tlswrapper $(DESTDIR)/usr/bin/tlswrapper
	install -D -m 0755 tlswrapper-tcp $(DESTDIR)/usr/bin/tlswrapper-tcp
	install -D -m 0755 tlswrapper-smtp $(DESTDIR)/usr/bin/tlswrapper-smtp
	install -d -m 0755 $(DESTDIR)/$(EMPTYDIR)

test: bearssl $(BINARIES) tlswrapper-tcp
	sh runtest.sh test-cipher.sh test-cipher.out test-cipher.exp
	sh runtest.sh test-ephemeral.sh test-ephemeral.out test-ephemeral.exp
	sh runtest.sh test-options.sh test-options.out test-options.exp
	sh runtest.sh test-pp.sh test-pp.out test-pp.exp
	sh runtest.sh test-badcert.sh test-badcert.out test-badcert.exp
	sh runtest.sh test-badkey.sh test-badkey.out test-badkey.exp
	sh runtest.sh test-childexit.sh test-childexit.out test-childexit.exp
	sh runtest.sh test-okcert.sh test-okcert.out test-okcert.exp

clean:
	rm -f *.o *.out $(BINARIES) tlswrapper-tcp tlswrapper-smtp
	rm -f randombytes.h

=== debian/changelog ===
tlswrapper (0~20221229-1) unstable; urgency=medium

  * Initial release. (Closes: #1001503)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Thu, 29 Dec 2022 18:46:43 +0100

=== debian/control ===
Source: tlswrapper
Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
Priority: optional
Standards-Version: 4.6.1
Section: net
Homepage: https://mojzis.com/software/tlswrapper
Build-Depends: debhelper-compat (= 13),
               libbearssl-dev,
Vcs-Git: https://salsa.debian.org/janmojzis/tlswrapper.git
Vcs-Browser: https://salsa.debian.org/janmojzis/tlswrapper
Rules-Requires-Root: no

Package: tlswrapper
Depends: ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Description: TLS encryption wrapper
 The tlswrapper is an TLS encryption wrapper between remote client and
 local program prog.
 .
 Internet <--> tcpserver/inetd/systemd.socket/... <--> tlswrapper <--> prog
 .
 Separate process for every connection
 .
 The tlswrapper is executed from systemd.socket/inetd/tcpserver/... which
 runs separate instance of tlswrapper for each TLS connection.
 It ensures that a vulnerability in the code (e.g. bug in the TLS library)
 can't be used to compromise the memory of another connection.
 .
 Separate process for network connection and for secret-key operation
 .
 To protect against secret-information leaks to the network connection
 (such Heartbleed) tlswrapper runs two independent processes for every
 TLS connection. One process holds secret-keys and runs secret-keys operations
 and second talks to the network. Processes communicate with each other through
 unix pipes.
 .
 Privilege separation, filesystem isolation, limits
 .
 The tlswrapper processes run under dedicated non-zero uid to prohibit kill,
 ptrace, etc. Is chrooted into an empty, unwritable directory to prohibit
 filesystem access. Sets ulimits to prohibit new files, sockets, etc.
 Sets ulimits to prohibit forks.
 .
 TLS library
 .
 The tlswrapper is using BearSSL library which implements only secure
 versions of TLS protocol (TLS1.0 - TLS1.2). And implements safe and
 constant-time algorithms.

## tlswrapper 0~20230101

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,13 @@
 CC?=cc
 EMPTYDIR?=/var/lib/tlswrapper/empty
-CFLAGS+=-W -Wall -Os -fPIC -fwrapv -pedantic -I./bearssl/inc -DEMPTYDIR=\"$(EMPTYDIR)\"
-LDFLAGS+=-L./bearssl/build -lbearssl
+CFLAGS+=-W -Wall -Os -fPIC -fwrapv -pedantic -DEMPTYDIR=\"$(EMPTYDIR)\"
+LDFLAGS+=-lbearssl
 DESTDIR?=
 
 BINARIES=tlswrapper
 BINARIES+=tlswrapper-test
 
-all: bearssl $(BINARIES) tlswrapper-tcp tlswrapper-smtp
-
-randombytes.h:
-	(grep -v "randombytes.h" "randombytes.c-01getentropy"; echo "int main() {}";) > tryrandombytes.c
-	[ ! -f randombytes.h ] && $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o tryrandombytes tryrandombytes.c && cat randombytes.h-01getentropy > randombytes.h || :
-	rm -f tryrandombytes.c tryrandombytes
-	(grep -v "randombytes.h" "randombytes.c-02devurandom"; echo "int main() {}";) > tryrandombytes.c
-	[ ! -f randombytes.h ] && $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o tryrandombytes tryrandombytes.c && cat randombytes.h-02devurandom > randombytes.h || :
-	rm -f tryrandombytes.c tryrandombytes
+all: $(BINARIES) tlswrapper-tcp tlswrapper-smtp
 
 alloc.o: alloc.c log.h alloc.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c alloc.c
@@ -35,10 +27,6 @@
 connectioninfo.o: connectioninfo.c strtoip.h strtoport.h porttostr.h \
  iptostr.h log.h connectioninfo.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c connectioninfo.c
-
-crypto_scalarmult_curve25519.o: crypto_scalarmult_curve25519.c \
- crypto_scalarmult_curve25519.h
-	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_scalarmult_curve25519.c
 
 e.o: e.c e.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c e.c
@@ -152,8 +140,7 @@
 tls_cipher.o: tls_cipher.c str.h log.h tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_cipher.c
 
-tls_crypto_scalarmult.o: tls_crypto_scalarmult.c tls.h \
- crypto_scalarmult_curve25519.h
+tls_crypto_scalarmult.o: tls_crypto_scalarmult.c tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_crypto_scalarmult.c
 
 tls_ecdhe.o: tls_ecdhe.c str.h tls.h
@@ -210,7 +197,6 @@
 OBJECTS+=case.o
 OBJECTS+=conn.o
 OBJECTS+=connectioninfo.o
-OBJECTS+=crypto_scalarmult_curve25519.o
 OBJECTS+=e.o
 OBJECTS+=fixname.o
 OBJECTS+=fixpath.o
@@ -267,12 +253,6 @@
 	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS)
 
 
-bearssl:
-	echo 'int main(){}' > trybearssl.c
-	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o trybearssl trybearssl.c || (sh bearssl.sh; cd bearssl; make; rm build/*.so; )
-	rm -f trybearssl.c trybearssl
-	mkdir -p bearssl/inc
-
 tlswrapper-tcp: tlswrapper
 	ln -s tlswrapper tlswrapper-tcp
 
@@ -285,7 +265,7 @@
 	install -D -m 0755 tlswrapper-smtp $(DESTDIR)/usr/bin/tlswrapper-smtp
 	install -d -m 0755 $(DESTDIR)/$(EMPTYDIR)
 
-test: bearssl $(BINARIES) tlswrapper-tcp
+test: $(BINARIES) tlswrapper-tcp
 	sh runtest.sh test-cipher.sh test-cipher.out test-cipher.exp
 	sh runtest.sh test-ephemeral.sh test-ephemeral.out test-ephemeral.exp
 	sh runtest.sh test-options.sh test-options.out test-options.exp
@@ -297,5 +277,4 @@
 
 clean:
 	rm -f *.o *.out $(BINARIES) tlswrapper-tcp tlswrapper-smtp
-	rm -f randombytes.h
-
+

=== debian/changelog ===
tlswrapper (0~20230101-1) unstable; urgency=medium

  * New upstream version 20230101
  * d/control: bump Standards-Version: 4.6.2, no changes
  * d/control: homepage url update
  * d/copyright: source url update
  * d/copyright: bump copyright year
  * d/copyright: CC0 is part of /usr/share/common-licenses/, removed complete
    text and used pointer to /usr/share/common-licenses/CC0-1.0
  * d/rules: added override_dh_auto_test, test is executed from autopkgtest

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 18 Jan 2023 18:51:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tlswrapper
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: net
-Homepage: https://mojzis.com/software/tlswrapper
+Homepage: https://github.com/janmojzis/tlswrapper
 Build-Depends: debhelper-compat (= 13),
                libbearssl-dev,
 Vcs-Git: https://salsa.debian.org/janmojzis/tlswrapper.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# skip the test, test is executed from autopkgtest
override_dh_auto_test:

%:
	dh $@

=== debian/tests/control ===
Tests: 00-test
Depends: build-essential,
         libbearssl-dev,
         tlswrapper,
Restrictions: isolation-container, needs-root, allow-stderr

Tests: 01-keys
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 02-snikeys
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 03-snikeys
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 04-ephemeral
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 05-sigalgs
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 06-ciphers
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 07-auth
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 07-authrsa
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 08-auth-commonName
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 09-auth-emailAddress
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 10-emptypem
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 11-longpem
Depends: openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 12-oompem
Depends: daemontools,
         openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 20-download
Depends: daemontools,
         openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 21-upload
Depends: daemontools,
         openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 30-tcp-download
Depends: daemontools,
         openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 31-tcp-upload
Depends: daemontools,
         openssl,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 40-proxy-protocol1
Depends: curl,
         daemontools,
         nginx,
         tlswrapper,
         ucspi-tcp,
Restrictions: isolation-container, needs-root

Tests: 41-proxy-protocol1
Depends: curl,
         daemontools,
         nginx,
         tlswrapper,
         ucspi-tcp-ipv6,
Restrictions: isolation-container, needs-root

#Tests: 44-proxy-protocol1
#Depends: curl,
#         daemontools,
#         nginx,
#         tlswrapper,
#         ucspi-tcp,
#Restrictions: isolation-container, needs-root
#
#Tests: 45-proxy-protocol1
#Depends: curl,
#         daemontools,
#         nginx,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/tlswrapper-$1\.tar\.gz/,\
uversionmangle=s/^/0~/,\
pgpsigurlmangle=s/archive\/.+\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/janmojzis/tlswrapper/tags .*/(\d\S+)\.tar\.gz

## tlswrapper 0~20241027

=== Makefile ===
--- 
+++ 
@@ -140,7 +140,7 @@
 tls_cipher.o: tls_cipher.c str.h log.h tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_cipher.c
 
-tls_crypto_scalarmult.o: tls_crypto_scalarmult.c tls.h
+tls_crypto_scalarmult.o: tls_crypto_scalarmult.c tls.h haslib25519.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_crypto_scalarmult.c
 
 tls_ecdhe.o: tls_ecdhe.c str.h tls.h
@@ -246,12 +246,18 @@
 OBJECTS+=tls_version.o
 OBJECTS+=writeall.o
 
-tlswrapper: tlswrapper.o $(OBJECTS)
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper tlswrapper.o $(OBJECTS) $(LDFLAGS)
-
-tlswrapper-test: tlswrapper-test.o $(OBJECTS)
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS)
-
+tlswrapper: tlswrapper.o $(OBJECTS) lib25519.lib
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper tlswrapper.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib`
+
+tlswrapper-test: tlswrapper-test.o $(OBJECTS) lib25519.lib
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib`
+
+
+haslib25519.h: trylib25519.sh
+	env CC=$(CC) ./trylib25519.sh && echo '#define HASLIB25519 1' > haslib25519.h || true > haslib25519.h
+
+lib25519.lib: trylib25519.sh
+	env CC=$(CC) ./trylib25519.sh && echo '-l25519' > lib25519.lib || true > lib25519.lib
 
 tlswrapper-tcp: tlswrapper
 	ln -s tlswrapper tlswrapper-tcp
@@ -276,5 +282,5 @@
 	sh runtest.sh test-okcert.sh test-okcert.out test-okcert.exp
 
 clean:
-	rm -f *.o *.out $(BINARIES) tlswrapper-tcp tlswrapper-smtp
-
+	rm -f *.o *.out $(BINARIES) tlswrapper-tcp tlswrapper-smtp haslib25519.h lib25519.lib
+

=== debian/changelog ===
tlswrapper (0~20241027-1) unstable; urgency=medium

  * New upstream version 20241027
  * d/p/0001-add-support-for-lib25519.patch remove
  * d/p/0002-man-tlswrapper.1-instruct-man-1-to-run-the-tbl-prepr.patch remove
  * d/control: bump Standards-Version: 4.7.0, no changes
  * d/rules: remove DEB_LDFLAGS_MAINT_APPEND = -l25519
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 27 Oct 2024 12:48:13 +0100

tlswrapper (0~20230101-2) unstable; urgency=medium

  * d/p/0001-add-support-for-lib25519.patch backport lib25519 support
  * d/p/0002-man-tlswrapper.1-instruct-man-1-to-run-the-tbl-prepr.patch backport
    manpage fix
  * d/copyright: bump copyright years
  * d/gbp.conf: add [pull] track-missing = True
  * d/gbp.conf: debian-branch = main

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 20 Apr 2024 08:27:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: tlswrapper
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: net
 Homepage: https://github.com/janmojzis/tlswrapper
 Build-Depends: debhelper-compat (= 13),
+               lib25519-dev,
                libbearssl-dev,
 Vcs-Git: https://salsa.debian.org/janmojzis/tlswrapper.git
 Vcs-Browser: https://salsa.debian.org/janmojzis/tlswrapper

## tlswrapper 0~20241101

=== Makefile ===
--- 
+++ 
@@ -56,23 +56,26 @@
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c log.c
 
 main_tlswrapper.o: main_tlswrapper.c blocking.h pipe.h log.h e.h jail.h \
- strtonum.h randombytes.h alloc.h connectioninfo.h proxyprotocol.h \
- iptostr.h writeall.h fixname.h fixpath.h str.h tls.h open.h main.h
+ strtonum.h randombytes.h haslibrandombytes.h alloc.h connectioninfo.h \
+ proxyprotocol.h iptostr.h writeall.h fixname.h fixpath.h str.h tls.h \
+ open.h main.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper.c
 
-main_tlswrapper_smtp.o: main_tlswrapper_smtp.c randombytes.h log.h \
- iptostr.h connectioninfo.h jail.h writeall.h buffer.h stralloc.h open.h \
- e.h tls.h blocking.h resolvehost.h hostport.h conn.h case.h \
- timeoutwrite.h timeoutread.h strtonum.h main.h
+main_tlswrapper_smtp.o: main_tlswrapper_smtp.c randombytes.h \
+ haslibrandombytes.h log.h iptostr.h connectioninfo.h jail.h writeall.h \
+ buffer.h stralloc.h open.h e.h tls.h blocking.h resolvehost.h hostport.h \
+ conn.h case.h timeoutwrite.h timeoutread.h strtonum.h main.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper_smtp.c
 
-main_tlswrapper_tcp.o: main_tlswrapper_tcp.c randombytes.h iptostr.h \
- proxyprotocol.h connectioninfo.h resolvehost.h strtoport.h socket.h e.h \
- log.h conn.h str.h tls.h jail.h randommod.h strtonum.h main.h
+main_tlswrapper_tcp.o: main_tlswrapper_tcp.c randombytes.h \
+ haslibrandombytes.h iptostr.h proxyprotocol.h connectioninfo.h \
+ resolvehost.h strtoport.h socket.h e.h log.h conn.h str.h tls.h jail.h \
+ randommod.h strtonum.h main.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper_tcp.c
 
 main_tlswrapper_test.o: main_tlswrapper_test.c e.h log.h randombytes.h \
- fsyncfile.h writeall.h str.h tls.h open.h blocking.h strtonum.h main.h
+ haslibrandombytes.h fsyncfile.h writeall.h str.h tls.h open.h blocking.h \
+ strtonum.h main.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c main_tlswrapper_test.c
 
 milliseconds.o: milliseconds.c milliseconds.h
@@ -94,10 +97,10 @@
  jail.h iptostr.h strtoip.h strtoport.h porttostr.h proxyprotocol.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c proxyprotocol.c
 
-randombytes.o: randombytes.c randombytes.h
+randombytes.o: randombytes.c haslibrandombytes.h randombytes.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c randombytes.c
 
-randommod.o: randommod.c randombytes.h randommod.h
+randommod.o: randommod.c randombytes.h haslibrandombytes.h randommod.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c randommod.c
 
 readall.o: readall.c e.h readall.h
@@ -155,28 +158,31 @@
 tls_error.o: tls_error.c tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_error.c
 
-tls_keyjail.o: tls_keyjail.c pipe.h randombytes.h log.h jail.h fixpath.h \
- tls.h
+tls_keyjail.o: tls_keyjail.c pipe.h randombytes.h haslibrandombytes.h \
+ log.h jail.h fixpath.h tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_keyjail.c
 
 tls_keytype.o: tls_keytype.c tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_keytype.c
 
-tls_pem.o: tls_pem.c alloc.h readall.h randombytes.h log.h open.h tls.h
+tls_pem.o: tls_pem.c alloc.h readall.h randombytes.h haslibrandombytes.h \
+ log.h open.h tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_pem.c
 
-tls_pipe.o: tls_pipe.c tls.h pipe.h randombytes.h alloc.h str.h log.h
+tls_pipe.o: tls_pipe.c tls.h pipe.h randombytes.h haslibrandombytes.h \
+ alloc.h str.h log.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_pipe.c
 
-tls_profile.o: tls_profile.c log.h randombytes.h e.h str.h stralloc.h \
- fixpath.h tls.h
+tls_profile.o: tls_profile.c log.h randombytes.h haslibrandombytes.h e.h \
+ str.h stralloc.h fixpath.h tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_profile.c
 
-tls_pubcrt.o: tls_pubcrt.c randombytes.h alloc.h log.h stralloc.h str.h \
+tls_pubcrt.o: tls_pubcrt.c randombytes.h haslibrandombytes.h alloc.h \
+ log.h stralloc.h str.h tls.h
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_pubcrt.c
+
+tls_seccrt.o: tls_seccrt.c log.h randombytes.h haslibrandombytes.h str.h \
  tls.h
-	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_pubcrt.c
-
-tls_seccrt.o: tls_seccrt.c log.h randombytes.h str.h tls.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c tls_seccrt.c
 
 tls_version.o: tls_version.c str.h tls.h
@@ -246,24 +252,30 @@
 OBJECTS+=tls_version.o
 OBJECTS+=writeall.o
 
-tlswrapper: tlswrapper.o $(OBJECTS) lib25519.lib
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper tlswrapper.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib`
-
-tlswrapper-test: tlswrapper-test.o $(OBJECTS) lib25519.lib
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib`
-
+tlswrapper: tlswrapper.o $(OBJECTS) lib25519.lib librandombytes.lib
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper tlswrapper.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib` `cat librandombytes.lib`
+
+tlswrapper-test: tlswrapper-test.o $(OBJECTS) lib25519.lib librandombytes.lib
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib` `cat librandombytes.lib`
+
+
+tlswrapper-tcp: tlswrapper
+	ln -s tlswrapper tlswrapper-tcp
+
+tlswrapper-smtp: tlswrapper
+	ln -s tlswrapper tlswrapper-smtp
 
 haslib25519.h: trylib25519.sh
 	env CC=$(CC) ./trylib25519.sh && echo '#define HASLIB25519 1' > haslib25519.h || true > haslib25519.h
 
+haslibrandombytes.h: trylibrandombytes.sh
+	env CC=$(CC) ./trylibrandombytes.sh && echo '#define HASLIBRANDOMBYTES 1' > haslibrandombytes.h || true > haslibrandombytes.h
+
 lib25519.lib: trylib25519.sh
 	env CC=$(CC) ./trylib25519.sh && echo '-l25519' > lib25519.lib || true > lib25519.lib
 
-tlswrapper-tcp: tlswrapper
-	ln -s tlswrapper tlswrapper-tcp
-
-tlswrapper-smtp: tlswrapper
-	ln -s tlswrapper tlswrapper-smtp
+librandombytes.lib: trylibrandombytes.sh
+	env CC=$(CC) ./trylibrandombytes.sh && echo '-lrandombytes' > librandombytes.lib || true > librandombytes.lib
 
 install: $(BINARIES) tlswrapper-tcp
 	install -D -m 0755 tlswrapper $(DESTDIR)/usr/bin/tlswrapper
@@ -282,5 +294,5 @@
 	sh runtest.sh test-okcert.sh test-okcert.out test-okcert.exp
 
 clean:
-	rm -f *.o *.out $(BINARIES) tlswrapper-tcp tlswrapper-smtp haslib25519.h lib25519.lib
-
+	rm -f *.o *.out $(BINARIES) tlswrapper-tcp tlswrapper-smtp haslib25519.h lib25519.lib haslibrandombytes.h librandombytes.lib
+

=== debian/changelog ===
tlswrapper (0~20241101-1) unstable; urgency=medium

  * New upstream version 20241101
  * d/tests: treat the condition when the log file is missing
  * d/control: add B-D: librandombytes-dev
  * d/t/control: add Depends lib25519-dev, librandombytes-dev for 00-test
  * d/gbp.conf: add upstream-signatures = on

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 01 Nov 2024 13:05:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                lib25519-dev,
                libbearssl-dev,
+               librandombytes-dev,
 Vcs-Git: https://salsa.debian.org/janmojzis/tlswrapper.git
 Vcs-Browser: https://salsa.debian.org/janmojzis/tlswrapper
 Rules-Requires-Root: no

## tlswrapper 0~20250126

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,12 @@
 EMPTYDIR?=/var/lib/tlswrapper/empty
 CFLAGS+=-W -Wall -Os -fPIC -fwrapv -pedantic -DEMPTYDIR=\"$(EMPTYDIR)\"
 LDFLAGS+=-lbearssl
+CPPFLAGS?=
+
 DESTDIR?=
+PREFIX?=/usr/local
+
+INSTALL?=install
 
 BINARIES=tlswrapper
 BINARIES+=tlswrapper-test
@@ -97,7 +102,7 @@
  jail.h iptostr.h strtoip.h strtoport.h porttostr.h proxyprotocol.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c proxyprotocol.c
 
-randombytes.o: randombytes.c haslibrandombytes.h randombytes.h
+randombytes.o: randombytes.c randombytes.h haslibrandombytes.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c randombytes.c
 
 randommod.o: randommod.c randombytes.h haslibrandombytes.h randommod.h
@@ -252,12 +257,24 @@
 OBJECTS+=tls_version.o
 OBJECTS+=writeall.o
 
-tlswrapper: tlswrapper.o $(OBJECTS) lib25519.lib librandombytes.lib
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper tlswrapper.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib` `cat librandombytes.lib`
-
-tlswrapper-test: tlswrapper-test.o $(OBJECTS) lib25519.lib librandombytes.lib
-	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS) `cat lib25519.lib` `cat librandombytes.lib`
-
+tlswrapper: tlswrapper.o $(OBJECTS) libs
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper tlswrapper.o $(OBJECTS) $(LDFLAGS) `cat libs`
+
+tlswrapper-test: tlswrapper-test.o $(OBJECTS) libs
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o tlswrapper-test tlswrapper-test.o $(OBJECTS) $(LDFLAGS) `cat libs`
+
+
+haslib25519.h: tryfeature.sh haslib25519.c libs
+	env CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) `cat libs`" ./tryfeature.sh haslib25519.c > haslib25519.h
+	cat haslib25519.h
+
+haslibrandombytes.h: tryfeature.sh haslibrandombytes.c libs
+	env CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) `cat libs`" ./tryfeature.sh haslibrandombytes.c > haslibrandombytes.h
+	cat haslibrandombytes.h
+
+libs: trylibs.sh
+	env CC="$(CC)" ./trylibs.sh -lsocket -lnsl -lrandombytes -l25519 >libs 2>libs.log
+	cat libs
 
 tlswrapper-tcp: tlswrapper
 	ln -s tlswrapper tlswrapper-tcp
@@ -265,25 +282,18 @@
 tlswrapper-smtp: tlswrapper
 	ln -s tlswrapper tlswrapper-smtp
 
-haslib25519.h: trylib25519.sh
-	env CC=$(CC) ./trylib25519.sh && echo '#define HASLIB25519 1' > haslib25519.h || true > haslib25519.h
-
-haslibrandombytes.h: trylibrandombytes.sh
-	env CC=$(CC) ./trylibrandombytes.sh && echo '#define HASLIBRANDOMBYTES 1' > haslibrandombytes.h || true > haslibrandombytes.h
-
-lib25519.lib: trylib25519.sh
-	env CC=$(CC) ./trylib25519.sh && echo '-l25519' > lib25519.lib || true > lib25519.lib
-
-librandombytes.lib: trylibrandombytes.sh
-	env CC=$(CC) ./trylibrandombytes.sh && echo '-lrandombytes' > librandombytes.lib || true > librandombytes.lib
-
-install: $(BINARIES) tlswrapper-tcp
-	install -D -m 0755 tlswrapper $(DESTDIR)/usr/bin/tlswrapper
-	install -D -m 0755 tlswrapper-tcp $(DESTDIR)/usr/bin/tlswrapper-tcp
-	install -D -m 0755 tlswrapper-smtp $(DESTDIR)/usr/bin/tlswrapper-smtp
-	install -d -m 0755 $(DESTDIR)/$(EMPTYDIR)
-
-test: $(BINARIES) tlswrapper-tcp
+install: $(BINARIES) tlswrapper-tcp tlswrapper-smtp
+	mkdir -p $(DESTDIR)$(PREFIX)/bin
+	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
+	mkdir -p $(DESTDIR)$(PREFIX)/$(EMPTYDIR)
+	$(INSTALL) -m 0755 tlswrapper $(DESTDIR)$(PREFIX)/bin/tlswrapper
+	$(INSTALL) -m 0755 tlswrapper-tcp $(DESTDIR)$(PREFIX)/bin/tlswrapper-tcp
+	$(INSTALL) -m 0755 tlswrapper-smtp $(DESTDIR)$(PREFIX)/bin/tlswrapper-smtp
+	$(INSTALL) -m 0644 man/tlswrapper.1 $(DESTDIR)$(PREFIX)/share/man/man1/tlswrapper.1
+	$(INSTALL) -m 0644 man/tlswrapper-smtp.1 $(DESTDIR)$(PREFIX)/share/man/man1/tlswrapper-smtp.1
+	$(INSTALL) -m 0644 man/tlswrapper-tcp.1 $(DESTDIR)$(PREFIX)/share/man/man1/tlswrapper-tcp.1
+
+test: $(BINARIES) tlswrapper-tcp tlswrapper-smtp
 	sh runtest.sh test-cipher.sh test-cipher.out test-cipher.exp
 	sh runtest.sh test-ephemeral.sh test-ephemeral.out test-ephemeral.exp
 	sh runtest.sh test-options.sh test-options.out test-options.exp
@@ -294,5 +304,5 @@
 	sh runtest.sh test-okcert.sh test-okcert.out test-okcert.exp
 
 clean:
-	rm -f *.o *.out $(BINARIES) tlswrapper-tcp tlswrapper-smtp haslib25519.h lib25519.lib haslibrandombytes.h librandombytes.lib
-
+	rm -f *.log *.o *.out $(BINARIES) libs tlswrapper-tcp tlswrapper-smtp has*.h
+

=== debian/changelog ===
tlswrapper (0~20250126-1) unstable; urgency=medium

  * New upstream version 20250126
  * d/tests: add short sleep to give tcpserver time to start
  * d/watch: update, use more generic d/watch
  * d/copyright: bump my copyright year
  * d/{control,copyright}: update my email to "janmojzis@debian.org"
  * d/rules: skip auto-install

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 26 Jan 2025 13:07:42 +0100

## tlswrapper 0~20250201

=== debian/changelog ===
tlswrapper (0~20250201-1) unstable; urgency=medium

  * New upstream version 20250201

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 01 Feb 2025 07:55:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: tlswrapper
-Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
+Maintainer: Jan Mojžíš <janmojzis@debian.org>
 Priority: optional
 Standards-Version: 4.7.0
 Section: net

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Tests: 00-test
 Depends: build-essential,
+         lib25519-dev,
          libbearssl-dev,
+         librandombytes-dev,
          tlswrapper,
 Restrictions: isolation-container, needs-root, allow-stderr
 
@@ -137,5 +139,3 @@
 #
 #Tests: 45-proxy-protocol1
 #Depends: curl,
-#         daemontools,
-#         nginx,

## tlswrapper 0~20251001

=== Makefile ===
--- 
+++ 
@@ -285,7 +285,7 @@
 install: $(BINARIES) tlswrapper-tcp tlswrapper-smtp
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
 	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
-	mkdir -p $(DESTDIR)$(PREFIX)/$(EMPTYDIR)
+	mkdir -p $(DESTDIR)$(EMPTYDIR)
 	$(INSTALL) -m 0755 tlswrapper $(DESTDIR)$(PREFIX)/bin/tlswrapper
 	$(INSTALL) -m 0755 tlswrapper-tcp $(DESTDIR)$(PREFIX)/bin/tlswrapper-tcp
 	$(INSTALL) -m 0755 tlswrapper-smtp $(DESTDIR)$(PREFIX)/bin/tlswrapper-smtp

=== testcerts/Makefile ===
days: createcerts.sh ca.sh server.sh client.sh
	sh createcerts.sh

clean:
	rm -f *.pem days

=== debian/changelog ===
tlswrapper (0~20251001-1) unstable; urgency=medium

  * New upstream version 20251001
    - relicensed under CC0-1.0 OR 0BSD OR MIT-0 OR MIT
  * d/copyright: update license to CC0-1.0 OR 0BSD OR MIT-0 OR MIT
  * d/gbp.conf: upstream-branch = upstream/latest
  * d/control: remove Rules-Requires-Root: no
  * d/salsa-ci.yml: add

 -- Jan Mojžíš <janmojzis@debian.org>  Wed, 01 Oct 2025 17:00:39 +0200

tlswrapper (0~20250201-2) unstable; urgency=medium

  * d/watch: rewrite to version 5, use Github uscan-template
  * d/upstream/signing-key.asc: update, add janmojzis@debian.org email
  * d/control: bump Standards-Version: 4.7.2, no changes
  * d/control: update Vcs-{Git,Browser} https://salsa.debian.org/debian/...

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 13 Sep 2025 20:20:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: tlswrapper
 Maintainer: Jan Mojžíš <janmojzis@debian.org>
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: net
 Homepage: https://github.com/janmojzis/tlswrapper
-Build-Depends: debhelper-compat (= 13),
-               lib25519-dev,
-               libbearssl-dev,
-               librandombytes-dev,
-Vcs-Git: https://salsa.debian.org/janmojzis/tlswrapper.git
-Vcs-Browser: https://salsa.debian.org/janmojzis/tlswrapper
-Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13),
+ lib25519-dev,
+ libbearssl-dev,
+ librandombytes-dev,
+Vcs-Git: https://salsa.debian.org/debian/tlswrapper.git
+Vcs-Browser: https://salsa.debian.org/debian/tlswrapper
 
 Package: tlswrapper
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Architecture: any
 Description: TLS encryption wrapper
  The tlswrapper is an TLS encryption wrapper between remote client and

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,11 @@
 
 # skip the test, test is executed from autopkgtest
 override_dh_auto_test:
+	true
+
+# skip auto install
+override_dh_auto_install:
+	true
 
 %:
 	dh $@

=== debian/tests/control ===
Tests:
 00-test,
Depends:
 build-essential,
 lib25519-dev,
 libbearssl-dev,
 librandombytes-dev,
 tlswrapper,
Restrictions:
 allow-stderr,
 isolation-container,
 needs-root,

Tests:
 01-keys,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 02-snikeys,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 03-snikeys,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 04-ephemeral,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 05-sigalgs,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 06-ciphers,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 07-auth,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 07-authrsa,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 08-auth-commonName,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 09-auth-emailAddress,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 10-emptypem,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 11-longpem,
Depends:
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 12-oompem,
Depends:
 daemontools,
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 20-download,
Depends:
 daemontools,
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 21-upload,
Depends:
 daemontools,
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 30-tcp-download,
Depends:
 daemontools,
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 31-tcp-upload,
Depends:
 daemontools,
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 40-proxy-protocol1,
Depends:
 curl,
 daemontools,
 nginx,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 41-proxy-protocol1,
Depends:
 curl,
 daemontools,
 nginx,
 tlswrapper,
 ucspi-tcp-ipv6,
Restrictions:
 isolation-container,
 needs-root,

#Tests: 44-proxy-protocol1
#Depends: curl,
#         daemontools,
#         nginx,
#         tlswrapper,
#         ucspi-tcp,
#Restrictions: isolation-container, needs-root
#
#Tests: 45-proxy-protocol1
#Depends: curl,
#         daemontools,
#         nginx,
#         tlswrapper,
#         ucspi-tcp-ipv6,
#Restrictions: isolation-container, needs-root

Tests:
 50-fixpath,
Depends:
 daemontools,
 openssl,
 tlswrapper,
 ucspi-tcp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 52-defaults,
